#ifndef PARKING_SENSOR_H
#define PARKING_SENSOR_H

#include "stm32f10x.h"  // 包含STM32F103的寄存器定义头文件

#define CALCULATE_DISTANCE(pulse_time) ((pulse_time) * 0.017f)


// 全局变量
extern  volatile uint32_t pulse_time ;     // 脉宽时间
extern  volatile float distance_cm ;      // 距离
extern  volatile uint8_t capture_state ;   // 捕获状态标志

// 动态配置 PE0 - PE15 引脚
void Configure_PE_Pin(uint8_t pin, uint8_t mode);

void WaitForEdgeAndCalculatePulseWidth(void);


// 初始化 TIM2 为捕获模式
void TIM2_Capture_Init(void);

// 发送触发信号
void SendTriggerSignal(uint8_t pin);


void Parking_Sensor_Interruption(void);



#endif // parking_sensor
